//
//  ViewController.m
//  azufier_ios_template
//
//  Created by Abue on 11/23/15.
//  Copyright (c) 2015 azurelab. All rights reserved.
//

#import "ViewController.h"

//this is default service uuid
#define SERVICE_UUID @"C14D2C0A-401F-B7A9-841F-E2E93B80F631"

@interface ViewController ()
{
    CiGate *Azufier;
    CiGateState _state;
}
@property CiGateState state;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    Azufier =[[CiGate alloc]initWithDelegate:self autoConnectFlag:TRUE
                            serviceUuidStr:SERVICE_UUID];}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)iGateDidReceivedData:(NSData *)data
{
    NSString* dataStr = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
    NSLog(@"%@",dataStr);
    
    if([dataStr isEqual: @"r_up"]){
        CGRect newFrame = self.redBtn.frame;
        newFrame.origin.y -= 15;
        self.redBtn.frame = newFrame;
    }else if([dataStr isEqual: @"r_down"]){
        CGRect newFrame = self.redBtn.frame;
        newFrame.origin.y += 15;
        self.redBtn.frame = newFrame;
    }else if([dataStr isEqual: @"b_up"]){
        CGRect newFrame = self.blueBtn.frame;
        newFrame.origin.y -= 15;
        self.blueBtn.frame = newFrame;
    }else if([dataStr isEqual: @"b_down"]){
        CGRect newFrame = self.blueBtn.frame;
        newFrame.origin.y += 15;
        self.blueBtn.frame = newFrame;
    }
}

-(void)iGateDidUpdateState:(CiGateState)iGateState
{
    [self setState:iGateState];
    switch(iGateState)
    {
        case CiGateStateInit:
            self.deviceStateLabel.text=@"Init";
            break;
        case CiGateStateIdle:
            self.deviceStateLabel.text=@"Idle";
            break;
        case CiGateStatePoweredOff:
            self.deviceStateLabel.text=@"Bluetooth power off";
            break;
        case CiGateStateUnknown:
            self.deviceStateLabel.text=@"Bluetooth unknown";
            break;
        case CiGateStateUnsupported:
            self.deviceStateLabel.text=@"BLE not supported";
            break;
        case CiGateStateSearching:
            self.deviceStateLabel.text=@"Searching";
            break;

        case CiGateStateConnecting:
            if([Azufier getConnectDevName])
                self.deviceStateLabel.text=[@"Connecting " stringByAppendingString:[Azufier getConnectDevName]];
            break;
        case CiGateStateConnected:
            if([Azufier getConnectDevName])
                self.deviceStateLabel.text=[@"Connected " stringByAppendingString:[Azufier getConnectDevName]];
            break;
        case CiGateStateBonded:
            if([Azufier getConnectDevName])
                self.deviceStateLabel.text=[@"Linked " stringByAppendingString:[Azufier getConnectDevName]];
            break;
    }
    NSLog(@"Azufier: %@, State: %@",Azufier,self.deviceStateLabel.text);
}

@end
